import * as types from './types';
declare class SplitterObject implements types.Splitter {
    readonly data: types.Data;
    readonly prefix: types.SequenceFunc;
    readonly suffix: types.SequenceFunc;
    constructor(options: types.ConstructorOptions);
    withPrefix(prefix: types.SequenceFunc): SplitterObject;
    withSuffix(suffix: types.SequenceFunc): SplitterObject;
    withIndent(indent: number): SplitterObject;
}
export = SplitterObject;
