"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const iter_tools_1 = require("iter-tools");
const special_character_1 = tslib_1.__importDefault(require("./special-character"));
const digit_1 = tslib_1.__importDefault(require("./digit"));
const { Seperator } = special_character_1.default;
const { Zero } = digit_1.default;
const ZERO_AND_SEP = new Set([Zero, Seperator]);
exports.isResetSequence = (sequence) => iter_tools_1.every(x => ZERO_AND_SEP.has(x), sequence);
//# sourceMappingURL=sequence-tests.js.map