"use strict";
class StringWritable {
    constructor(options = {}) {
        this.data = '';
        this.encoding = options.encoding || 'utf8';
    }
    write(buffer) {
        this.data += buffer.toString(this.encoding);
    }
    toString() {
        return this.data;
    }
}
module.exports = StringWritable;
//# sourceMappingURL=string-writable.js.map