export declare type Func<Return, Args extends any[]> = (...args: Args) => Return;
export declare type MaybeFunc<Return, Args extends any[]> = Return | Func<Return, Args>;
export interface ArrayLike<X> extends Iterable<X> {
    readonly length: number;
}
