"use strict";
const tslib_1 = require("tslib");
const from_iterable_1 = tslib_1.__importDefault(require("./from-iterable"));
function fromIterableStream(stream) {
    function iterate() {
        return tslib_1.__asyncGenerator(this, arguments, function* iterate_1() {
            var e_1, _a;
            try {
                for (var stream_1 = tslib_1.__asyncValues(stream), stream_1_1; stream_1_1 = yield tslib_1.__await(stream_1.next()), !stream_1_1.done;) {
                    const chunk = stream_1_1.value;
                    for (const char of Buffer.from(chunk)) {
                        yield yield tslib_1.__await(char);
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (stream_1_1 && !stream_1_1.done && (_a = stream_1.return)) yield tslib_1.__await(_a.call(stream_1));
                }
                finally { if (e_1) throw e_1.error; }
            }
        });
    }
    const data = {
        [Symbol.asyncIterator]: iterate
    };
    return from_iterable_1.default(data);
}
module.exports = fromIterableStream;
//# sourceMappingURL=from-iterable-stream.js.map