"use strict";
const tslib_1 = require("tslib");
const ramda_1 = require("ramda");
const elements_1 = tslib_1.__importDefault(require("./elements"));
function lines(splitter) {
    return tslib_1.__asyncGenerator(this, arguments, function* lines_1() {
        var e_1, _a;
        try {
            // workaround https://github.com/palantir/tslint/issues/3997
            // tslint:disable-next-line:await-promise
            for (var _b = tslib_1.__asyncValues(elements_1.default(splitter)), _c; _c = yield tslib_1.__await(_b.next()), !_c.done;) {
                const element = _c.value;
                const { format, reset, main, prefix, suffix } = element;
                const flattenFormat = ramda_1.flatten(format);
                yield yield tslib_1.__await([...reset, ...prefix, ...flattenFormat, ...main, ...suffix]);
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) yield tslib_1.__await(_a.call(_b));
            }
            finally { if (e_1) throw e_1.error; }
        }
    });
}
module.exports = lines;
//# sourceMappingURL=lines.js.map