/// <reference types="node" />
import * as types from '../lib/types';
declare class StringWritable implements types.Writable {
    private readonly encoding;
    private data;
    constructor(options?: StringWritable.ConstructorOptions);
    write(buffer: Buffer): void;
    toString(): string;
}
declare namespace StringWritable {
    type Encoding = BufferEncoding;
    interface ConstructorOptions {
        readonly encoding?: Encoding;
    }
}
export = StringWritable;
